"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.errorLogger = errorLogger;
exports.messageLogger = messageLogger;
exports.verboseLogger = verboseLogger;
exports.warnLogger = warnLogger;

/* eslint-disable no-console */
function messageLogger(...args) {
  console.log(...args);
}

function errorLogger(...args) {
  console.error(...args);
}

function warnLogger(...args) {
  console.warn(...args);
}

function verboseLogger(...args) {
  // TODO: need to be remove when publish happens
  process.env.VERBOSE === 'true' && console.log('\x1b[33m [verbose] \x1b[0m', ...args);
}